Page MenuHomePhabricator

Positive reinforcement: New Impact Module
Open, MediumPublic

Description

Background & Hypothesis

The rationale for this module is based on our hypothesis that showing users different metrics to highlight the value/impact of their contributions will motivate them to make more contributions.
For users that have not yet made any contributions, this module would highlight to them the potential impact they could have by starting to edit.

Problem

The current version of the impact module only shows only pageviews and is somewhat clinical and matter-of-fact.

Ideas

Explore ways to enhance the current impact module so that it better highlights the value of contribution to users. **
Current Ideas include:

  • Suggested edits milestone, to nudge users to try suggested edits.
  • Statistics on how much the user has edited over time (similar to what is in X Tools).
  • “Thanks received” count, to highlight the ability to receive community recognition.
  • Recent editing activity - including days in a row newcomers have edited (“streaks”) to encourage continued engagement or remind people to restart their contributions.
  • View reading activity on articles newcomers have edited over time (similar to info on en:Wikipedia:Pageview_statistics).

Mediawiki project description:
https://www.mediawiki.org/wiki/Growth/Positive_reinforcement#Impact

Designs:


Original task description
Some feedback we received on the impact module is that the module is really clinical and matter-of-fact: it just tells you the numbers on your pageviews. We are showing these numbers to the user because we want them to be proud and excited, and so maybe we should think about how to design the module such that we signal to them to have that pride.

For instance, the module could say something like, "You are spreading free knowledge!" or it could have an award-like image or icon.

Related Objects

StatusSubtypeAssignedTask
OpenKStoller-WMF
OpenNone
Declined Cntlsn
Resolved mewoph
Resolved mewoph
Invalid Cntlsn
DeclinedNone
OpenNone
DeclinedBUG REPORTNone
In ProgressSgs
DeclinedNone
DeclinedNone
OpenNone
In ProgressSgs
OpenNone
OpenSgs
OpenSgs
In ProgressSgs
Resolvedkostajh
Resolvedkostajh
DeclinedSgs
Resolvedkostajh
ResolvedKieranMcCann
OpenBUG REPORTNone
OpenNone
In ProgressSgs
OpenTgr
OpenTgr
In ProgressTgr
In ProgressTgr
Openkostajh
OpenSgs

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@RHo -- thanks for adding information to this task. I just wanted to add the perspective that your Goal B (explore other metrics and motivational contribution information) mentions badges, thanks, and awards. Those might be something we want to put on a structured user profile instead, so that users can show them off to others. Something to consider.

RHo renamed this task from Homepage: impact module - explore improvements to the module that inspires pride in users and provokes them to contribute more to Homepage: Impact module improvements the module that inspires pride in users and provokes them to contribute more .Aug 5 2019, 9:45 PM
RHo updated the task description. (Show Details)
MMiller_WMF renamed this task from Homepage: Impact module improvements the module that inspires pride in users and provokes them to contribute more to Homepage: impact module improvements.Oct 17 2019, 12:26 AM

@RHo -- this is the central impact module task (and child tasks) for the improvements to the impact module that you designed as part of "newcomer tasks", e.g. mockups like these.

kostajh triaged this task as Medium priority.Apr 20 2021, 12:19 PM

For our future reference: these are interesting notes from User:Bilorv about potential improvements to the impact module.

Declining this task in favor of the Positive Reinforcement project work. Please reopen if you disagree.

Re-opening as this is the work in progress and discussion as part of the Positive reinforcement work.

kostajh added a subscriber: KStoller-WMF.

@KStoller-WMF @RHo To reduce confusion in our code, public facing documentation, and i18n strings, I wonder if we could call the new version of the impact module something else, like the "Positive reinforcement module" or something like that?

@KStoller-WMF @RHo To reduce confusion in our code, public facing documentation, and i18n strings, I wonder if we could call the new version of the impact module something else, like the "Positive reinforcement module" or something like that?

Do you mean only internally @kostajh or also the name of the module publicly? I am fine with only the former if that makes it less confusing for code, but think we should keep the same name publicly since it is really purely some added improvements and not a different thing. Maybe an internal version name could be "Impact Module v2022" or something.

@KStoller-WMF @RHo To reduce confusion in our code, public facing documentation, and i18n strings, I wonder if we could call the new version of the impact module something else, like the "Positive reinforcement module" or something like that?

Do you mean only internally @kostajh or also the name of the module publicly? I am fine with only the former if that makes it less confusing for code, but think we should keep the same name publicly since it is really purely some added improvements and not a different thing. Maybe an internal version name could be "Impact Module v2022" or something.

Yeah I just mean internally, and perhaps also in phabricator tickets. The heading of the module could still say "Impact".

KStoller-WMF renamed this task from Homepage: impact module improvements to Positive reinforcement: Impact Module V2022.Jun 25 2022, 12:32 PM
KStoller-WMF updated the task description. (Show Details)

@kostajh - totally understandable, I had reused an old epic without fully updating it to reflect the current plan. I renamed this epic and updated the description to narrow down on what we plan to focus on this coming quarter.

I can also update child tasks this week. I will remove tasks that we don't plan to work on as part of the Positive Reinforcement project and change "Homepage Impact" to "Impact Module V2022" (unless there is a different term you prefer). Thanks for helping ensure we speak about and document this clearly!

@kostajh - totally understandable, I had reused an old epic without fully updating it to reflect the current plan. I renamed this epic and updated the description to narrow down on what we plan to focus on this coming quarter.

I can also update child tasks this week. I will remove tasks that we don't plan to work on as part of the Positive Reinforcement project and change "Homepage Impact" to "Impact Module V2022" (unless there is a different term you prefer). Thanks for helping ensure we speak about and document this clearly!

In code, so far I am going with "New Impact" (NewImpact.php; new-impact for the module name for messages), does that sound OK? Using "V" and a number (like 2022) is awkward in code (ImpactV2022 or Impactv2022).

KStoller-WMF renamed this task from Positive reinforcement: Impact Module V2022 to Positive reinforcement: New Impact Module.Jun 30 2022, 8:58 PM
Sgs changed the status of subtask T310661: Impact module: scorecards from Open to In Progress.Thu, Sep 22, 10:48 PM
Sgs changed the status of subtask T310666: Impact Module: Recent Editing Activity from Open to In Progress.

Change 835576 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] User impact: use Codex typography scale

https://gerrit.wikimedia.org/r/835576

Sgs changed the status of subtask T310661: Impact module: scorecards from In Progress to Open.Fri, Sep 30, 1:47 PM